local E, L, V, P, G = unpack(ElvUI);
local mPlugin = "mMediaTag"
local mMT = E:NewModule(mPlugin, "AceHook-3.0", "AceEvent-3.0", "AceTimer-3.0");
local EP = LibStub("LibElvUIPlugin-1.0")
local addon, ns = ...
local Version = GetAddOnMetadata(addon, "Version")

local ReloadUI = ReloadUI

ns.mName = "|CFF8E44ADm|r|CFF2ECC71Media|r|CFF3498DBTag|r"
ns.mColor1 = "|CFFFFFFFF"	-- white
ns.mColor2 = "|CFFF7DC6F" 	-- yellow
ns.mColor3 = "|CFF8E44AD"	-- purple
ns.mColor4 = "|CFFFE7B2C" 	-- orange
ns.mColor5 = "|CFFE74C3C" 	-- red
ns.mColor6 = "|CFF58D68D" 	-- green
ns.mColor7 = "|CFF3498DB" 	-- blue

P[mPlugin] = {
	["mMsg"] = true,
	["mTIcon"] = true,
	["mProfUp"] = false,
	["mProfIcon"] = true,
	["mMenuUp"] = false,
	["mMenuColor"] = true,
}

function mMT:Update()
	-- local enabled = E.db.mMT.SomeToggleOption
	-- local range = E.db.mMT.SomeRangeOption

	-- if enabled then
		-- print(range)
	-- else
		-- print("SomeToggleOption is disabled")
	-- end
end

function mMT:InsertOptions()
E.Options.args.mPlugin = {
		order = 100,
		type = "group",
		name = ns.mName,
		args = {
			header1 = {
				order = 1,
				type = "header",
				name = ns.mName,
			},
			logo = {
				order = 2,
				type = 'description',
				name = "",
				fontSize = 'medium',
				image = function() return 'Interface\\AddOns\\ElvUI_mMediaTag\\media\\textures\\logo.tga', 320, 80 end,
			},
			header2 = {
				order = 3,
				type = "header",
				name = "|CFF8E44ADby|r |CFF2ECC71Blin|r|CFF3498DBkii|r",
			},
			description1 = {
				order = 4,
				type = "description",
				name = ns.mName .. L[" is an addon for ElvUI with additional Statusbar textures, Tags, a game menu and professional menu for the datatext bars."],
			},
			spacer1 = {
				order = 5,
				type = "description",
				name = "\n\n\n",
			},
			 header3 = {
				 order = 6,
				 type = "header",
				 name = L["Configuration"],
			},
			setting1 = {
				order = 7,
				type = "group",
				name = L["General"],
				args = {
					toggle1 = {
						order = 1,
						type = 'toggle',
						name = L["Greeting text at start"],
						desc = L["Enables or disables the welcome text, at startup."],
						get = function(info)
							return E.db[mPlugin].mMsg
						end,
						set = function(info, value)
							E.db[mPlugin].mMsg = value
						end,
					},
				},
			},
			setting2 = {
				order = 8,
				type = "group",
				name = L["Profession Menu"],
				args = {
					toggle3 = {
						order = 1,
						type = 'toggle',
						name = L["Fold up"],
						desc = L["When activated, the Profession Menu opens upwards."],
						get = function(info)
							return E.db[mPlugin].mProfUp
						end,
						set = function(info, value)
							E.db[mPlugin].mProfUp = value
						end,
					},
					toggle4 = {
						order = 2,
						type = 'toggle',
						name = L["Symbols"],
						desc = L["Displays the icons for the professions in the menu."],
						get = function(info)
							return E.db[mPlugin].mProfIcon
						end,
						set = function(info, value)
							E.db[mPlugin].mProfIcon = value
						end,
					},
				},
			},
			setting3 = {
				order = 9,
				type = "group",
				name = L['System Menu'],
				args = {
					toggle5 = {
						order = 1,
						type = 'toggle',
						name = L["Fold up"],
						desc = L["When activated, the System Menu opens upwards."],
						get = function(info)
							return E.db[mPlugin].mMenuUp
						end,
						set = function(info, value)
							E.db[mPlugin].mMenuUp = value
						end,
					},
					toggle6 = {
						order = 2,
						type = 'toggle',
						name = L["Colored System Menu"],
						desc = L["Activates a colored system menu."],
						get = function(info)
							return E.db[mPlugin].mMenuColor
						end,
						set = function(info, value)
							E.db[mPlugin].mMenuColor = value
						end,
					},
				},
			},
		},
	}
end

function mMT:Initialize()
	if E.db[mPlugin].mMsg then
		print (ns.mName, " - ", Version)
	end
	
	EP:RegisterPlugin(addon, mMT.InsertOptions)
end

E:RegisterModule(mMT:GetName())